<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
        android:id="@+id/toolbox_refresh"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.coordinatorlayout.widget.CoordinatorLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <com.google.android.material.appbar.AppBarLayout
                android:id="@+id/toolbox_appbar"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/ui_background"
                android:gravity="center"
                app:elevation="0dp"
                app:layout_behavior="com.gh.gamecenter.common.view.FixAppBarLayoutBehavior">

                <include
                    android:id="@+id/reuseSearchBar"
                    layout="@layout/layout_search_bar" />

            </com.google.android.material.appbar.AppBarLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/toolbox_rv"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@color/ui_surface"
                app:layout_behavior="@string/appbar_scrolling_view_behavior" />

        </androidx.coordinatorlayout.widget.CoordinatorLayout>
    </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

    <androidx.cardview.widget.CardView
        android:id="@+id/feedbackCv"
        android:layout_width="match_parent"
        android:layout_height="44dp"
        android:layout_alignParentBottom="true"
        android:layout_marginStart="16dp"
        android:layout_marginEnd="16dp"
        android:layout_marginBottom="15dp"
        android:clickable="true"
        android:focusable="true"
        app:cardBackgroundColor="@color/ui_surface"
        app:cardCornerRadius="8dp"
        app:cardElevation="12dp">

        <TextView
            android:id="@+id/feedbackTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:text="需要其他工具"
            android:textAlignment="center"
            android:textColor="@color/text_tertiary"
            android:textSize="@dimen/secondary_size" />

        <ImageView
            android:id="@+id/closeIv"
            android:layout_width="16dp"
            android:layout_height="16dp"
            android:layout_gravity="end|center_vertical"
            android:layout_marginEnd="16dp"
            android:src="@drawable/ic_toolbox_cancel" />

    </androidx.cardview.widget.CardView>

    <include
        android:id="@+id/reuseLoading"
        layout="@layout/reuse_loading"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true" />

    <include
        android:id="@+id/reuseNoneData"
        layout="@layout/reuse_none_data"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="80dp" />

    <include
        android:id="@+id/reuseNoConnection"
        layout="@layout/reuse_no_connection"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="80dp" />

    <include
        android:id="@+id/reuse_data_exception"
        layout="@layout/reuse_data_exception"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="80dp" />

</RelativeLayout>